/* General body styles */
.body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    width: 100vw;
    background-image: radial-gradient(circle, rgb(228, 82, 82) 0%, rgba(56, 8, 231, 0.63) 100%);
    /* bg-gradient-to-br from-white via-white to-white */
}

/* Header styles */
.header {
    padding: 0 20px;
    /* pl-5 pr-5 */
    height: 3rem;
    /* h-12 */
    display: flex;
    /* flex */
    justify-content: center;
    /* justify-center */
    align-items: center;
    /* items-center */
    position: fixed;
    /* fixed */
    top: 0.2rem;
    /* top-2 */
    color: #ffffff;
    /* text-black */
    background-color: #0c1bec9a;
    /* bg-white */
    font-size: 1.5rem;
    /* text-2xl */
    font-weight: 600;
    /* font-semibold */
    border-radius: 0.375rem;
    /* rounded */
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
    /* shadow */
}

/* Main container styles */
.main-container {
    padding: 1.5rem;
    /* pl-8 pr-8 pt-6 pb-6 */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1.25rem;
    /* gap-5 */
    background-color: #ffffff;
    /* bg-white */
    border-radius: 0.375rem;
    /* rounded */
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
    /* shadow */
    border-radius: 30px;
}

/* Title styles */
.title {
    font-size: 1.875rem;
    /* text-3xl */
    font-weight: 600;
    /* font-semibold */
}

/* Input container styles */
.input-container {
    display: flex;
    flex-direction: row;
    gap: 0.75rem;
    /* gap-3 */
    width: 100%;
}

.input {
    width: 100%;
    outline: none;
    padding: 0.75rem;
    /* p-3 */
    padding-left: 1.25rem;
    /* pl-5 */
    padding-right: 1.25rem;
    /* pr-5 */
    border: 1px solid #e2e8f0;
    /* border */
    border-radius: 1rem;
    /* rounded */
}

.btn-check {
    padding: 0.75rem;
    /* p-3 */
    width: 100%;
    padding-left: 0.5rem;
    /* pl-2 */
    padding-right: 0.5rem;
    /* pr-2 */
    color: #ffffff;
    /* text-white */
    background-color: #3b82f6;
    /* bg-blue-500 */
    border-radius: 1rem;
    /* rounded */
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
    /* shadow */
}

/* Share button styles */
.btn-share {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    /* gap-4 */
    align-items: center;
    justify-content: center;
    background-color: #86efac;
    /* bg-green-300 */
    color: #000000;
    /* text-black */
    padding: 0.75rem;
    /* p-3 */
    padding-left: 1rem;
    /*
    padding-right: 1rem; /* pr-4 */
}

.custom-swal-popup {
    width: 400px !important;
    height: 600px !important;
}

.custom-swal-popup video {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
}

@media screen and (max-width: 768px) {
    .main-container {
        padding: 1rem;
        /* pl-4 pr-4 pt-4 pb-4 */
    }

    .title {
        font-size: 1.5rem;
        /* text-xl */
    }

    .input {
        padding: 0.5rem;
        /* p-2 */
        padding-left: 1rem;
        /* pl-4 */
        padding-right: 1rem;
        /* pr-4 */
    }

    .btn-check {
        padding: 0.5rem;
        /* p-2 */
        padding-left: 0.25rem;
        /* pl-1 */
        padding-right: 0.25rem;
        /* pr-1 */
    }

    .btn-share {
        padding: 0.5rem;
        /* p-2 */
        padding-left: 0.75rem;
        /* pl-3 */
        padding-right: 0.75rem;
        /* pr-3 */
    }
    
}